/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 21/09/2016 - V2.2.2 (H2020)
 *  Creation
 * ----------------------------------------
 */
package fr.tlse.irap.tool.radial;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

import fr.tlse.irap.spaceElement.Sun;

@XmlRootElement
public class CmeRadial {

	private Calendar startTime;
	private Sun startElement = new Sun();	
	private Double speed;
	private Double longitude; 	// CME longitude (HAE or HEEQ)
	private Double latitude; 	// CME latitude (HAE or HEEQ)
	private Double extent; 		// CME extent
	private List<CmeEnd> cmeEnds;

	public CmeRadial() {
		cmeEnds = new ArrayList<CmeEnd>();
	}

	public CmeRadial(List<CmeEnd> cmeEnds) {
		this.cmeEnds = cmeEnds;
	}

	@XmlElement
	public List<CmeEnd> getCmeEnds() {
		return cmeEnds;
	}

	public void setCmeEnds(List<CmeEnd> cmeEnds) {
		this.cmeEnds = cmeEnds;
	}

	public Double getLongitude() {
		return longitude;
	}

	public void setLongitude(Double longitude) {
		this.longitude = longitude;
	}

	public Double getSpeed() {
		return speed;
	}

	public void setSpeed(Double speed) {
		this.speed = speed;
	}

	public Sun getStartElement() {
		return startElement;
	}

	public void setStartElement(Sun startElement) {
		this.startElement = startElement;
	}

	public Calendar getStartTime() {
		return startTime;
	}

	public void setStartTime(Calendar startTime) {
		this.startTime = startTime;
	}

	public Double getExtent() {
		return extent;
	}

	public void setExtent(Double extent) {
		this.extent = extent;
	}

	public Double getLatitude() {
		return latitude;
	}

	public void setLatitude(Double latitude) {
		this.latitude = latitude;
	}
}
